package logic

import (
	"app.yhyue.com/moapp/jybase/common"
	"context"
	"github.com/zeromicro/go-zero/core/logx"
	"jyBXBase/api/internal/svc"
	"jyBXBase/api/internal/types"
	"jyBXBase/rpc/type/bxbase"
)

type BCActionLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewBCActionLogic(ctx context.Context, svcCtx *svc.ServiceContext) *BCActionLogic {
	return &BCActionLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *BCActionLogic) BCAction(req *types.BCAction) (resp *types.CommonRes, err error) {
	res, err0 := l.svcCtx.Bxbase.BCAction(l.ctx, &bxbase.BCActionReq{
		UserId:  req.UserId,
		Baction: req.Baction,
		Bids:    req.Bids,
		AppId:   req.AppId,
	})
	if err0 != nil {
		return &types.CommonRes{
			Err_code: -1,
			Err_msg:  "错误",
			Data:     nil,
		}, nil
	}
	return &types.CommonRes{
		Err_code: common.IntAll(res.ErrCode),
		Err_msg:  res.ErrMsg,
		Data:     res.Status,
	}, nil
}
